Bug 114246 - getpgrp problems
Summary: getpgrp problems
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gawk (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-25 13:35 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 13:09:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-01-25 13:35:40 UTC
Description of problem:

I just tried to compile package gawk-3.1.3-3, from Redhat
Fedora Core 1.

The compiler said

1.

io.c(1443): warning #140: too many arguments in function call

The source code is

                sprintf(tbuf, "%d\n", (int) getpgrp(getpgrp_arg()));

My understanding is that getpgrp takes no parameters.

2.

main.c(884): warning #140: too many arguments in function call

The source code is

        value = getpgrp(getpgrp_arg());

Duplicate.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2004-01-26 13:09:54 UTC
Fixed in rawhide in RPM gawk-3.1.3-6 or newer.


Note You need to log in before you can comment on or make changes to this bug.